import * as React from "react";
import { GoogleViz, GoogleChartWrapper, ReactGoogleChartPropsWithDefaults, GoogleChartControlProp, GoogleChartControl, GoogleChartDashboard } from "../types";
export declare type GoogleChartProps = {
    google: GoogleViz;
    graphID?: string | null;
    graph_id?: string | null;
    options?: ReactGoogleChartPropsWithDefaults["options"];
    chartWrapperParams?: {};
    chartType: ReactGoogleChartPropsWithDefaults["chartType"];
    width?: ReactGoogleChartPropsWithDefaults["width"];
    height?: ReactGoogleChartPropsWithDefaults["height"];
    style?: ReactGoogleChartPropsWithDefaults["style"];
    className?: ReactGoogleChartPropsWithDefaults["className"];
    rootProps?: ReactGoogleChartPropsWithDefaults["rootProps"];
} & ReactGoogleChartPropsWithDefaults;
export declare type GoogleChartState = {
    googleChartWrapper: GoogleChartWrapper | null;
    isReady: boolean;
    googleChartDashboard: GoogleChartDashboard | null;
    googleChartControls: {
        control: GoogleChartControl;
        controlProp: GoogleChartControlProp;
    }[] | null;
};
export declare class GoogleChart extends React.Component<GoogleChartProps, GoogleChartState> {
    state: {
        googleChartWrapper: GoogleChartWrapper | null;
        googleChartDashboard: GoogleChartDashboard | null;
        googleChartControls: {
            control: GoogleChartControl;
            controlProp: GoogleChartControlProp;
        }[] | null;
        isReady: boolean;
    };
    graphID: null | string;
    private dashboard_ref;
    private getGraphID;
    private getControlID;
    componentDidMount(): void;
    shouldComponentUpdate(nextProps: GoogleChartProps, nextState: GoogleChartState): boolean;
    renderTopControls: () => JSX.Element | null;
    renderBottomControls: () => JSX.Element | null;
    renderChart: () => JSX.Element;
    renderControl: (filter?: ({ control, controlProp }: {
        control: GoogleChartControl;
        controlProp: GoogleChartControlProp;
    }) => boolean) => JSX.Element | null;
    render(): JSX.Element;
}
